import 'package:flutter_common_package/flutter_common_package.dart';
import 'package:hive_flutter/hive_flutter.dart';

class TrackerRouter {
  static void pushRouter(String key, String value) async {
    try {
      await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).put(key, value);
    } catch (err) {
      await Hive.openBox<dynamic>(Cc.EXCEPTION_DATABASE);
      await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).clear();

      await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).put(key, value);
    }
  }

  static Future<Map> getRouterMap() async {
    try {
      var router = await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).toMap();
      return router;
    } catch (err) {
      await Hive.openBox<dynamic>(Cc.EXCEPTION_DATABASE);
      await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).clear();

      var router = await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).toMap();
      return router;
    }
  }

  static Future<String> getRouterString() async {
    try {
      var router =
          await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).toMap().toString();
      return router;
    } catch (err) {
      await Hive.openBox<dynamic>(Cc.EXCEPTION_DATABASE);
      await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).clear();

      var router =
          await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).toMap().toString();
      return router;
    }
  }
}
